/**
 * Copyright (c) 2008 Washington University
 */
package org.nrg.xnat.tags;

/**
 * Exception thrown when a tag label is used that has not been defined in the database.
 * @author Kevin A. Archie <karchie@npg.wustl.edu>
 *
 */
public class UndefinedTagLabelException extends TagLabelException {
    private static final long serialVersionUID = 1L;
    
    public UndefinedTagLabelException(final TagLabel label) {
	super(message(label));
    }
    
    public UndefinedTagLabelException(final TagLabel label, final Throwable t) {
	super(message(label), t);
    }
    
    private static String message(final TagLabel label) {
	return String.format("Tag %s has not been defined", label);
    }
}
